# Interface ValueHandler

public interface ValueHandler
Defines how the data from a particular column of a JDBC table are turned into java objects.

Since:
  2 Feb 2010
Author:
  Mark Taylor
See Also:
  - `TypeMapper`

## Method Summary

Modifier and Type
Method
Description
`ColumnInfo`
`getColumnInfo()`
Returns the column metadata for this column.
`Object`
`getValue(Object baseValue)`
Translates a value from the form that it takes in the ResultSet to a form which can be used for further processing.

## Method Details

### getColumnInfo

ColumnInfo getColumnInfo()
Returns the column metadata for this column.

Returns:
  column metadata

### getValue

Object getValue(Object baseValue)
Translates a value from the form that it takes in the ResultSet to a form which can be used for further processing.

Parameters:
  `baseValue` - ResultSet value
Returns:
  value for processing